- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
User Management
- /
- Force Logout Users
¶ Force users to go offline
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Force users to go offline through user ID and App ID lists, and you can choose to specify user ID types, etc.
¶ Method name
ManagementClient.kick_users
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| appIds | string[] | Yes | - | APP ID list Array length limit: 50. | ["62188e71cxxxx3075289c580"] |
| userId | string | Yes | - | User ID | |
| options | KickUsersOptionsDto | No | - | Optional parameters | {"userIdType":"user_id"} |
¶ Request Response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, please see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsSuccessDto | Whether the operation is successful |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}
¶ Data Structure
¶ KickUsersOptionsDto
| Name | Type |
Is it required?
|Description
|Sample value
| | ---------- | ------ | -------------------------------------- | ---------------------------- ... externalId field of GenAuth user information-
identity: user's external identity source information, in the format of <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the user's ID in the external identity source.Example value:
62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.-
sync_relation: user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the synchronization identity source type, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.Example value:
lark:ou_8bae746eac07cd2564654140d2a9ac61.| user_id |
¶ IsSuccessDto
| Name | Type | Is it required | Description | Example value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |
